- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRZipStream Class Reference

`#include <CDRZipStream.h>`

Inheritance diagram for libcdr::CDRZipStream:

## Public Member Functions
| CDRZipStream (WPXInputStream *input)
| ~CDRZipStream ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, WPX_SEEK_TYPE seekType)
long | tell ()
bool | atEOS ()

## Private Member Functions
| CDRZipStream (const CDRZipStream &)
CDRZipStream & | operator= (const CDRZipStream &)

## Private Attributes
WPXInputStream * | m_input
unsigned | m_cdir_offset

## Constructor & Destructor Documentation

libcdr::CDRZipStream::CDRZipStream | ( | WPXInputStream * | input | ) |

libcdr::CDRZipStream::~CDRZipStream | ( |  | ) |
| inline

libcdr::CDRZipStream::CDRZipStream | ( | const CDRZipStream & |  | ) |
| private

## Member Function Documentation

bool libcdr::CDRZipStream::atEOS | ( |  | ) |

WPXInputStream * libcdr::CDRZipStream::getDocumentOLEStream | ( | const char * | name | ) |

Referenced by libcdr::CDRDocument::isSupported(), and libcdr::CDRDocument::parse().

bool libcdr::CDRZipStream::isOLEStream | ( |  | ) |

Referenced by libcdr::CDRDocument::isSupported(), and libcdr::CDRDocument::parse().

CDRZipStream& libcdr::CDRZipStream::operator= | ( | const CDRZipStream & |  | ) |
| private

const unsigned char * libcdr::CDRZipStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libcdr::CDRZipStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

long libcdr::CDRZipStream::tell | ( |  | ) |

## Member Data Documentation

unsigned libcdr::CDRZipStream::m_cdir_offset
| private

WPXInputStream* libcdr::CDRZipStream::m_input
| private

The documentation for this class was generated from the following files:

- CDRZipStream.h
- CDRZipStream.cpp